Subject: Re: [BEHAVE] WGLC on draft-ietf-behave-nat-mib - SMI violation?

From: Simon Perreault <[email-masked]>
Date: Fri, 21 Jun 2013 11:10:34 +0200

Le 2013-05-31 19:04, ietfdbh a écrit :
> natAddrPortBindLocalAddr - the one being deprecated - is redefined in the
> new document. The original had InetAddress syntax with no range; the new doc
> adds a range (thereby redefining the range).
> I think this violates SMI rules (but it deserves checking to be sure).

That was done in order to silence this smilint warning:

NAT-MIB.mib:1126: warning: index of row `natAddrPortBindEntry' can 
exceed OID size limit by 143 subidentifier(s)

I don't think we need to fix such things in objects we're deprecating, 
so the next revision will just revert back to the definition from RFC4008.

Thanks,
Simon
-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca